#!/usr/bin/env python2

import os,sys
from distutils.core import setup,Extension


ext_modules = [
	Extension("pyhack",
			  ["pyhack.c", "hack.c"],
			  libraries = ['GL', 'GLU', 'X11'],
			  include_dirs = [sys.platform],
			  library_dirs = [sys.platform, '/usr/X11R6/lib'],
			  extra_compile_args = []
			  )
	]


setup (name = "pyhack",
       version = "0.1",
       description = "Python XScreensaver Hack Class",
       long_description = "This module allows developers to write their own executable screensaver hacks for XScreensaver using PyOpenGL. This makes GL programs behave exactly like their C counterparts for XScreensaver.",
       author = "Alastair Tse",
       author_email = "acnt2@cam.ac.uk",
       url = "http://www-lce.eng.cam.ac.uk/~acnt2/",
       include_dirs = [],
       ext_modules = ext_modules
      )
