/*

  hack.h - Definitions for helper X functions (from rss-glx)

  Copyright (C) 2004 Alastair Tse <acnt2@cam.ac.uk>,
  Copyright (C) 2002 Tugrul Galatali <tugrul@galatali.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

#ifndef __HACK_H
#define __HACK_H

#include <X11/X.h>
#include <X11/Xatom.h>
#include <X11/Xlib.h>
#include <X11/keysym.h>

#include <GL/gl.h>
#include <GL/glx.h>

#include <Python.h>
#include "pyhack_object.h"

int hack_create_window(int argc, char **argv, GLHackObject *self);
void hack_clear_buffers(GLHackObject *self);
void hack_handle_global_opts(GLHackObject *self, int c);

#endif
